Loading...
Searching...
No Matches
irr::gui::IGUIImage Class Referenceabstract

GUI element displaying an image. More...

`#include <IGUIImage.h>`

Inheritance diagram for irr::gui::IGUIImage:

## Public Member Functions

| IGUIImage (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor
virtual video::SColor | getColor () const =0
| Gets the color of the image.
virtual video::ITexture * | getImage () const =0
| Gets the image texture.
virtual bool | isAlphaChannelUsed () const =0
| Returns true if the image is using the alpha channel, false if not.
virtual bool | isImageScaled () const =0
| Returns true if the image is scaled to fit, false if not.
virtual void | setColor (video::SColor color)=0
| Sets the color of the image.
virtual void | setImage (video::ITexture *image)=0
| Sets an image texture.
virtual void | setScaleImage (bool scale)=0
| Sets if the image should scale to fit the element.
virtual void | setUseAlphaChannel (bool use)=0
| Sets if the image should use its alpha channel to draw itself.
Public Member Functions inherited from irr::gui::IGUIElement
| IGUIElement (EGUI_ELEMENT_TYPE type, IGUIEnvironment *environment, IGUIElement *parent, s32 id, const core::rect< s32 > &rectangle)
| Constructor.
virtual | ~IGUIElement ()
| Destructor.
virtual void | addChild (IGUIElement *child)
| Adds a GUI element as new child of this element.
virtual bool | bringToFront (IGUIElement *element)
| Brings a child to front.
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the scene node.
virtual void | draw ()
| Draws the element and its children.
core::rect< s32 > | getAbsoluteClippingRect () const
| Returns the visible area of the element.
core::rect< s32 > | getAbsolutePosition () const
| Gets the absolute rectangle of this element.
virtual const core::list< IGUIElement * > & | getChildren () const
| Returns list with children of this element.
virtual IGUIElement * | getElementFromId (s32 id, bool searchchildren=false) const
| Finds the first element with the given id.
IGUIElement * | getElementFromPoint (const core::position2d< s32 > &point)
| Returns the topmost GUI element at the specific position.
virtual s32 | getID () const
| Returns id. Can be used to identify the element.
virtual const c8 * | getName () const
| Returns the name of the element.
bool | getNextElement (s32 startOrder, bool reverse, bool group, IGUIElement *&first, IGUIElement *&closest, bool includeInvisible=false) const
| searches elements to find the closest next element to tab to
IGUIElement * | getParent () const
| Returns parent of this element.
core::rect< s32 > | getRelativePosition () const
| Returns the relative rectangle of this element.
IGUIElement * | getTabGroup ()
| Returns the container element which holds all elements in this element's tab group.
s32 | getTabOrder () const
| Returns the number in the tab order sequence.
virtual const wchar_t * | getText () const
| Returns caption of this element.
virtual const core::stringw & | getToolTipText () const
| Returns caption of this element.
EGUI_ELEMENT_TYPE | getType () const
| Returns the type of the gui element.
virtual const c8 * | getTypeName () const
| Returns the type name of the gui element.
virtual bool | hasType (EGUI_ELEMENT_TYPE type) const
| Returns true if the gui element supports the given type.
virtual bool | isEnabled () const
| Returns true if element is enabled.
bool | isMyChild (IGUIElement *child) const
bool | isNotClipped () const
| Gets whether the element will ignore its parent's clipping rectangle.
virtual bool | isPointInside (const core::position2d< s32 > &point) const
| Returns true if a point is within this element.
virtual bool | isSubElement () const
| Returns true if this element was created as part of its parent control.
bool | isTabGroup () const
| Returns true if this element is a tab group.
bool | isTabStop () const
| Returns true if this element can be focused by navigating with the tab key.
virtual bool | isVisible () const
| Returns true if element is visible.
virtual void | move (core::position2d< s32 > absoluteMovement)
| Moves this element.
virtual bool | OnEvent (const SEvent &event)
| Called if an event happened.
virtual void | OnPostRender (u32 timeMs)
| animate the element and its children.
virtual void | remove ()
| Removes this element from its parent.
virtual void | removeChild (IGUIElement *child)
| Removes a child.
virtual bool | sendToBack (IGUIElement *child)
| Moves a child to the back, so it's siblings are drawn on top of it.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the scene node.
void | setAlignment (EGUI_ALIGNMENT left, EGUI_ALIGNMENT right, EGUI_ALIGNMENT top, EGUI_ALIGNMENT bottom)
| The alignment defines how the borders of this element will be positioned when the parent element is resized.
virtual void | setEnabled (bool enabled)
| Sets the enabled state of this element.
virtual void | setID (s32 id)
| Sets the id of this element.
void | setMaxSize (core::dimension2du size)
| Sets the maximum size allowed for this element.
void | setMinSize (core::dimension2du size)
| Sets the minimum size allowed for this element.
virtual void | setName (const c8 *name)
| Sets the name of the element.
virtual void | setName (const core::stringc &name)
| Sets the name of the element.
void | setNotClipped (bool noClip)
| Sets whether the element will ignore its parent's clipping rectangle.
void | setRelativePosition (const core::position2di &position)
| Sets the relative rectangle of this element, maintaining its current width and height.
void | setRelativePosition (const core::rect< s32 > &r)
| Sets the relative rectangle of this element.
void | setRelativePositionProportional (const core::rect< f32 > &r)
| Sets the relative rectangle of this element as a proportion of its parent's area.
virtual void | setSubElement (bool subElement)
| Sets whether this control was created as part of its parent.
void | setTabGroup (bool isGroup)
| Sets whether this element is a container for a group of elements which can be navigated using the tab key.
void | setTabOrder (s32 index)
| Sets the priority of focus when using the tab key to navigate between a group of elements.
void | setTabStop (bool enable)
| If set to true, the focus will visit this element when using the tab key to cycle through elements.
virtual void | setText (const wchar_t *text)
| Sets the new caption of this element.
virtual void | setToolTipText (const wchar_t *text)
| Sets the new caption of this element.
virtual void | setVisible (bool visible)
| Sets the visible state of this element.
virtual void | updateAbsolutePosition ()
| Updates the absolute position.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.
Public Member Functions inherited from irr::IEventReceiver
virtual | ~IEventReceiver ()
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from irr::gui::IGUIElement
void | addChildToEnd (IGUIElement *child)
void | recalculateAbsolutePosition (bool recursive)
Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.
Protected Attributes inherited from irr::gui::IGUIElement
core::rect< s32 > | AbsoluteClippingRect
| absolute clipping rect of element
core::rect< s32 > | AbsoluteRect
| absolute rect of element
EGUI_ALIGNMENT | AlignBottom
EGUI_ALIGNMENT | AlignLeft
| tells the element how to act when its parent is resized
EGUI_ALIGNMENT | AlignRight
EGUI_ALIGNMENT | AlignTop
core::list< IGUIElement * > | Children
| List of all children of this element.
core::rect< s32 > | DesiredRect
IGUIEnvironment * | Environment
| GUI Environment.
s32 | ID
| users can set this for identificating the element by integer
bool | IsEnabled
| is enabled?
bool | IsSubElement
| is a part of a larger whole and should not be serialized?
bool | IsTabGroup
| tab groups are containers like windows, use ctrl+tab to navigate
bool | IsTabStop
| tab stop like in windows
bool | IsVisible
| is visible?
core::rect< s32 > | LastParentRect
| for calculating the difference when resizing parent
core::dimension2du | MaxSize
| maximum and minimum size of the element
core::dimension2du | MinSize
core::stringc | Name
| users can set this for identificating the element by string
bool | NoClip
| does this element ignore its parent's clipping rectangle?
IGUIElement * | Parent
| Pointer to the parent.
core::rect< s32 > | RelativeRect
| relative rect of element
core::rect< f32 > | ScaleRect
| relative scale of the element inside its parent
s32 | TabOrder
| tab order
core::stringw | Text
| caption
core::stringw | ToolTipText
| tooltip
EGUI_ELEMENT_TYPE | Type
| type of element

## Detailed Description

GUI element displaying an image.

Definition at line 20 of file IGUIImage.h.

## Constructor & Destructor Documentation

## IGUIImage()

irr::gui::IGUIImage::IGUIImage | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle )

inline

constructor

Definition at line 25 of file IGUIImage.h.

References irr::gui::IGUIElement::IGUIElement(), and irr::gui::EGUIET_IMAGE.

## Member Function Documentation

## getColor()

virtual video::SColor irr::gui::IGUIImage::getColor | ( |  | ) | const

pure virtual

Gets the color of the image.

## getImage()

virtual video::ITexture * irr::gui::IGUIImage::getImage | ( |  | ) | const

pure virtual

Gets the image texture.

## isAlphaChannelUsed()

virtual bool irr::gui::IGUIImage::isAlphaChannelUsed | ( |  | ) | const

pure virtual

Returns true if the image is using the alpha channel, false if not.

## isImageScaled()

virtual bool irr::gui::IGUIImage::isImageScaled | ( |  | ) | const

pure virtual

Returns true if the image is scaled to fit, false if not.

## setColor()

virtual void irr::gui::IGUIImage::setColor | ( | video::SColor | color | ) |

pure virtual

Sets the color of the image.

## setImage()

virtual void irr::gui::IGUIImage::setImage | ( | video::ITexture * | image | ) |

pure virtual

Sets an image texture.

## setScaleImage()

virtual void irr::gui::IGUIImage::setScaleImage | ( | bool | scale | ) |

pure virtual

Sets if the image should scale to fit the element.

## setUseAlphaChannel()

virtual void irr::gui::IGUIImage::setUseAlphaChannel | ( | bool | use | ) |

pure virtual

Sets if the image should use its alpha channel to draw itself.

The documentation for this class was generated from the following file:

- IGUIImage.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0